<!-- Sidenav -->
<div class="sidenav-main" *ngIf="userType">
  <div class="sidenav-top" *ngIf="userType == 'candidate'">
    <span>Offline</span> <mat-slide-toggle (change)="sliderOption($event)" [checked]="checked"></mat-slide-toggle> <span>Online</span>
  </div>
  <div class="sidenav-identity">
    <div class="avatar" *ngIf="userData && userData.profilePic; else defaultImage">
      <img [src]="userData.profilePic">
    </div>
    <ng-template #defaultImage>
      <div class="avatar">
        <img src="assets/images/default-profile-picture.png">
      </div>
    </ng-template>
    <div class="id-right">
        <h4 *ngIf="!persanolData">{{userData.fname}} {{userData.lname}}</h4>
        <h4 *ngIf="persanolData">{{persanolData.firstname}} {{persanolData.lastname}}</h4>
        <p *ngIf="userData && userData.EmailId">{{userData.EmailId}}</p>
    </div>
  </div>
  <div class="main-menu" *ngIf="userType">
    <ul>
      <li *ngFor="let navitem of allNavItems[userType]" [class.has-submenu]="navitem.children.length">
        <button *ngIf="navitem.children.length; else linkItem" class="sidenav-item-btn btn btn-link btn-block t-white" (click)="expandClose($event, navitem)">
          <i><img [src]="navitem.icon"></i>
          {{navitem.name}}
        </button>
        <ng-template #linkItem>
          <a [routerLink]="[navitem.link]" routerLinkActive="active" (click)="sideNavItemClick($event, navitem.click)">
            <i><img [src]="navitem.icon"></i>
            {{navitem.name}}
          </a>
        </ng-template>
        <ul class="sub-menu" [@expandCollapse] = 'navitem.state' *ngIf="navitem.children.length">
            <li *ngFor="let childNavItem of navitem.children">
              <a [routerLink]="[childNavItem.link]" routerLinkActive="active">
                {{childNavItem.name}}
              </a>
            </li>
        </ul>
      </li>
      <li>
        <a href="javascript:void(0)" (click)="logOut()">
          <i>
            <img src="assets/images/sidenav-ic-10.png" *ngIf="(userType == 'candidate'); else employerSignOut">
            <ng-template #employerSignOut>
              <img src="assets/images/sidenav-emp-ic-9.png">
            </ng-template>
          </i>
          {{(userType == 'candidate') ? 'Logout' : 'Sign Out'}}
        </a>
      </li>
    </ul>
  </div>
</div>
